{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import '_includes/macros.html.twig' as appMacros %}

{% set process = flux.lastActiveProcess %}
<div class="box-header with-border">
    <h3 class="box-title">Dernier traitement : <b class="text-red">le processus à rencontré une erreur bloquante</b></h3>
</div>
<div class="box-body">
    <dl class="dl-horizontal m-b-0">
        <dt>Mode de mise à jour :</dt>
        <dd><span class="fa {% spaceless %}
                        {% if process.mode == constant('AppBundle\\Entity\\Flux::MODE_PULL') %}fa-download {% endif %}
                        {% if process.mode == constant('AppBundle\\Entity\\Flux::MODE_PUSH') %}fa-upload {% endif %}
                        {% if process.mode == constant('AppBundle\\Entity\\Flux::MODE_MANUAL') %}fa-hand-o-up {% endif %}
    {% endspaceless %}"></span> {{ (get_static('AppBundle\\Entity\\Flux','modeDefinitions'))[process.mode][0] }}</dd>
        <dt>Début du traitement :</dt>
        <dd>{{ (process.createdAt | moment).calendar() | capitalize }}</dd>
        <dt>Fin du traitement :</dt>
        <dd>{{ (process.updatedAt | moment).calendar() | capitalize }}</dd>
    </dl>

    <h4 class="m-t-20"><i class="fa fa-info-circle"></i> Logs du traitement</h4>
    <table class="table">
        <thead>
            <tr>
                <th width="1">Niveau</th>
                <th width="1">Heure</th>
                <th>Message</th>
            </tr>
        </thead>
        <tbody>
        {% for log in process.logs %}
            {% set class = "default" %}
            {% if log.level|lower in [constant('LOG_FATAL', log), constant('LOG_ERROR', log)]  %}
                {% set class = "danger" %}
            {% elseif log.level|lower in [constant('LOG_INFO', log)]  %}
                {% set class = "info" %}
            {% elseif log.level|lower in [constant('LOG_WARN', log)]  %}
                {% set class = "warning" %}
            {% endif %}
            <tr class="alert-{{ class }}">
                <td width="1"><span class="label label-{{ class }}">{{ log.level }}</span></td>
                <td width="1">{{ log.createdAt|date("H:i") }}</td>
                <td>{{ log.message }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
</div>